# QTextList Class Reference

### [com.trolltech.qt.gui package]

Inherits QTextBlockGroup.

### Constructor

- void QTextList(QTextDocument doc)

### Constructor Properties

- prototype: The QTextList prototype object

### Prototype Object Properties

The QTextList prototype object inherits properties from the QTextBlockGroup prototype object and also has the following properties.

- void add(QTextBlock block)
- int count()
- QTextBlock item(int i)
- int itemNumber(QTextBlock arg__1)
- String itemText(QTextBlock arg__1)
- void remove(QTextBlock arg__1)
- void removeItem(int i)
- void setFormat(QTextListFormat format)
- QTextListFormat textListFormat()

### Instance Properties

QTextList objects have no special properties beyond those inherited from the QTextList prototype object.